Package org.eclipse.ui

# Interface IMarkerResolutionRelevance

public interface IMarkerResolutionRelevance
A relevance for the marker resolution. This interface gives the relevance of the marker which can be used to sort all the marker resolutions. Resolutions with higher relevance should be listed before resolutions with lower relevance.

Since:
  3.14

## Method Summary

Modifier and Type
Method
Description
`default int`
`getRelevanceForResolution()`
Returns the relevance of this marker resolution.

## Method Details

### getRelevanceForResolution

default int getRelevanceForResolution()
Returns the relevance of this marker resolution.

The relevance is used to determine if this resolution is more relevant than another resolution.

Returns:
  the relevance of this resolution